* * *

Author Topic: My package doesn't compile in Lazarus 1.6  (Read 1595 times)

dmitryb

  • New member
  • *
  • Posts: 16
My package doesn't compile in Lazarus 1.6
« on: February 23, 2016, 09:59:23 pm »
Hello

I have a library that is fully compatible this Lazarus 1.4.
When I try to compile it in Lazarus 1.6 i get next compile error.

  EhLibLCL, LMessages, LCLType, Win32Extra, Maskedit,

GridsEh.pas(25,33) Fatal: Cannot find Win32Extra used by GridsEh. Enable flag "Use Unit" of unit Win32Extra in package LCL.

Please give a clue, why this is happening.

kris-_-k

  • Newbie
  • Posts: 1
Re: My package doesn't compile in Lazarus 1.6
« Reply #1 on: November 15, 2017, 09:34:22 pm »
Did you figure it out what was the problem?

Martin_fr

  • Administrator
  • Hero Member
  • *
  • Posts: 4665
    • wiki
Re: My package doesn't compile in Lazarus 1.6
« Reply #2 on: November 16, 2017, 10:34:32 am »
Without having looked at the issue... But there are 2 main suspects

1 - You did not de-install the old lazarus. Or you may have to "build clean"
2 - The required unit no longer exists, functions that were in it have been moved or deprecated

for 2)
remove the unit, see which functions are missing, find in which unit they are now.

The wiki has some list of changes (including compatibility) for both: Lazarus and Fpc, http://wiki.lazarus.freepascal.org/Lazarus_1.8_fixes_branch#Other_branches

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus